import Api from '../../store/api';

/**
 * Vue Component lifecycle
 * https://vuejs.org/guide/instance.html#Lifecycle-Diagram
 */

export default {
    name: 'widget-name',
    props: {},
    components: {},
    beforeCreate () {
        console.log('[widget] - beforeCreate');
    },
    data () {
        console.log('[widget] - data');
        return {
            items: [],
            msg: 'Widget Goes Heres'
        }
    },
    created() {
        console.log('[widget] - created');
        // Api.get({}, (data) => {
        //     return this.items = data.results;
        // });
    },
    beforeMount() {
        console.log("[widget] - beforeMount");
    },
    mounted() {
        console.log("[widget] - mounted");
    },
    beforeDestory() {
        console.log("[widget] - beforeDestory");
    },
    destroyed() {
        console.log("[widget] - destroyed");
    },
    computed: {

    },
    methods: {

    }
}
